*{
    padding: 0;
    margin: 0;
    outline: none;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
    color: var(--neutral-darkest);
}

html{
    font-size: 8px;
}

:root{
    --neutral-darkest: #494949;
    --neutral-light: #907f6b;
    --neutral-lightest: #E4E0D5;
    --primary: #8d2734;
    --primary-dark: #681d28;
}

h1{
    font-size: 6rem;
    line-height: 1.2;
}

h2{
    font-size: 4rem;
}

h3{
    font-size: 18px;
}

p{
    font-size: 18px;
    line-height: 1.7;
}

.container{
    width: 100%;
    max-width: 150rem;
    margin: 0 auto;
    padding: 0 3rem;
}

.header{
    padding: 5rem 0;
    width: 100%;
}

.header-brand{
    height: 6rem;
    width: auto;
}

.hero{
    position: relative;
    display: flex;
    align-items: center;
    overflow: hidden;
    background: var(--neutral-lightest);
}

.hero-tag{
    text-transform: uppercase;
    color: var(--neutral-darkest);
    font-size: 14px;
    margin-bottom: 1rem;
    display: block;
}

.hero-title{
    margin-bottom: 2rem;
    color: var(--primary);
}

.hero-subtitle{
    margin-bottom: 4rem;
}

.hero-grid{
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.hero-text{
    z-index: 999;
    padding: 10rem 10rem 10rem 0;
}

.hero-image{
    position: absolute;
    right: 0;
    top: 0;
}

.btn{
    height: 9rem;
    font-size: 18px;
    font-weight: bold;
    color: #fff;
    border-radius: 1rem;
    border: 0;
    background: var(--primary);
    padding: 0 4rem;
    display: flex;
    line-height: 9rem;
    text-decoration: none;
    width: max-content;
}

.btn img{
    float: left;
    margin-right: 1rem;
    width: 3rem;
}

.btn:hover,
.btn:active{
    background: var(--neutral-darkest);
    cursor: pointer;
}

.btn-whatsapp{
    background: #25D366;
}

.btn-whatsapp:hover, .btn-whatsapp:active{
    background: #1fa751;
}

.services{
    padding: 10rem 0;
}

.services-grid{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 3rem 1rem;
    margin-bottom: 5rem;
}

.services-title{
    margin-bottom: 3rem;
}

.services-item{
    display: flex;
    align-items: center;
    gap: 3rem;
    border-radius: 1rem;
    padding: 3rem 4rem;
    background: linear-gradient(92.59deg, #e3dfd4 0%, rgba(255, 255, 255, 0) 100%);
}

.services-number{
    font-size: 4rem;
    font-weight: bold;
    color: var(--primary);
}

.services-name{
    font-weight: normal;
}

.gallery{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.gallery img{
    max-width: 100%;
}

.contact{
    padding: 12rem 0;
    text-align: center;
}

.contact .btn{
    margin: 0 auto;
}

.contact-title{
    margin-bottom: 5rem;
}

.footer{
    background: var(--neutral-light);
    padding: 3rem 0;
    font-size: 14px;
    color: #fff;
}

.footer-grid{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer-address{
    display: flex;
    gap: 2rem;
    color: #fff;
}

.footer-address span{
    color: #fff;
    opacity: .5;
}

.footer-social{
    display: flex;
    gap: 2rem;
}

.footer a{
    color: #fff;
    text-decoration: none;
}

.footer a:hover{
    text-decoration: underline;
}

.modal{
    background: hsla(0, 0%, 0%, 0.9);
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.modal-content{
    background: #d10301 url("../img/bg-modal.png") left bottom no-repeat;
    background-size: 100%;
    padding: 6rem;
    border-radius: 1rem;
    width: 90%;
    max-width: 55rem;
    position: relative;
}

.modal-content img{
    margin-bottom: 4rem;
    width: 8rem;
}

.modal-title{
    font-size: 4rem;
    color: #fff;
}

.modal-title span {
    text-decoration: underline;
    color: yellow;
}

.modal-close {
    position: absolute;
    right: 3rem;
    top: 2.5rem;
    background: transparent;
    border: none;
    font-size: 2rem;
    color: #fff;
}

.modal-close:hover {
    cursor: pointer;
}



/* MOBILE */

@media (max-width: 800px){

    h1{
        font-size: 4rem;
    }

    h2{
        font-size: 3rem;
    }

    p{
        font-size: 14px;
    }

    .header{
        position: relative;
        padding: 3rem 0;
    }

    .header-brand{
        height: 4rem;
        width: auto;
    }

    .hero{
        height: auto;
        background: #fff;
    }

    .hero-tag{
        font-size: 10px;
    }

    .hero-grid{
        grid-template-columns: 1fr;
    }

    .hero-text{
        padding: 0;
    }

    .hero-image{
        position: relative;
        right: 20rem;
        bottom: auto;
        width: 160%;
        margin-left: -6vw;
        margin-top: 4rem;
    }

    .services{
        padding: 5rem 0;
    }

    .services-grid{
        grid-template-columns: 1fr;
        gap: 2rem;
        margin: 0;
    }

    .services-item{
        padding: 3rem;
    }

    .services-number{
        font-size: 3rem;
    }

    .services-name{
        font-size: 2rem;
    }

    .gallery{
        grid-template-columns: 1fr 1fr;
    }

    .contact{
        padding: 5rem 0;
    }

    .contact-title{
        margin-bottom: 3rem;
    }

    .footer{
        padding: 4rem 0;
        text-align: center;
    }

    .footer-address{
        flex-direction: column;
    }

    .footer-grid{
        flex-direction: column;
        gap: 3rem 0;
    }

    .btn{
        height: 7rem;
        font-size: 16px;
        padding: 0 3rem;
        line-height: 7rem;
    }

    .hidden-mobile{
        display: none;
    }

    .modal-content{
        padding: 4rem;
    }
    
    .modal-content img{
        margin-bottom: 3rem;
        width: 6rem;
    }
    
    .modal-title{
        font-size: 3rem;
    }
    

}